One order with full detail — items, totals, customer, shipping, fulfillment. Money in major units.
curl --request GET \
--url https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id} \
--header 'X-Agent-Key: <api-key>'import requests
url = "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}"
headers = {"X-Agent-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Agent-Key': '<api-key>'}};
fetch('https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Agent-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agent-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}")
.header("X-Agent-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agent-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"id": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"name": "<string>",
"title": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"fulfillment_status": 123,
"variant_title": "<string>",
"image_url": "<string>",
"appProperties": {
"customizer-studio": {
"properties": [
{
"label": "Name",
"value": "Alex"
}
],
"previewImage": "https://cdn.example.com/previews/a3f9c1.png",
"_selections": {
"name": "Alex"
}
}
}
}
]
},
"meta": {}
}{
"success": false,
"message": "<string>",
"error_code": "NOT_FOUND",
"errors": {}
}orders
One order with full detail — items, totals, customer, shipping, fulfillment. Money in major units.
GET
/
orders
/
{order_id}
One order with full detail — items, totals, customer, shipping, fulfillment. Money in major units.
curl --request GET \
--url https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id} \
--header 'X-Agent-Key: <api-key>'import requests
url = "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}"
headers = {"X-Agent-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Agent-Key': '<api-key>'}};
fetch('https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Agent-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agent-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}")
.header("X-Agent-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.platformdtc.com/api/v1/agent/v1/orders/{order_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agent-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"data": {
"items": [
{
"id": "<string>",
"product_id": "<string>",
"variant_id": "<string>",
"name": "<string>",
"title": "<string>",
"quantity": 123,
"price": 123,
"sku": "<string>",
"fulfillment_status": 123,
"variant_title": "<string>",
"image_url": "<string>",
"appProperties": {
"customizer-studio": {
"properties": [
{
"label": "Name",
"value": "Alex"
}
],
"previewImage": "https://cdn.example.com/previews/a3f9c1.png",
"_selections": {
"name": "Alex"
}
}
}
}
]
},
"meta": {}
}{
"success": false,
"message": "<string>",
"error_code": "NOT_FOUND",
"errors": {}
}Authorizations
Service-account key, format sq_agt_*. Carries least-privilege scopes.
Path Parameters
The order uuid.
Query Parameters
Look up by the human order number (e.g. 527) instead of the uuid.